package com.hfkj.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * bs_trade_order_profit_sharing_receiver
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsTradeOrderProfitSharingReceiver implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 交易分账记录id
     */
    private Long tradeOrderProfitSharingId;

    /**
     * 交易id
     */
    private Long tradeOrderId;

    /**
     * 交易订单号
     */
    private String tradeOrderNo;

    /**
     * 分账金额
     */
    private BigDecimal profitSharingAmount;

    /**
     * 分账比例 单位：%
     */
    private BigDecimal ratio;

    /**
     * 分账接收方类型  1. 运营公司 2. 分公司  3. 代理商  4. 商户
     */
    private Integer receiverObjectType;

    /**
     * 分账接收方id
     */
    private String receiverObjectId;

    /**
     * 分账接收方账户编号
     */
    private String receiverNo;

    /**
     * 分账接收方账户
     */
    private String receiverAccount;

    /**
     * 分账接收方姓名
     */
    private String receiverName;

    /**
     * 分账接收金额
     */
    private BigDecimal receiverAmount;

    /**
     * 分账状态  0：未分账  1：已分账
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 分账时间
     */
    private Date profitSharingTime;

    /**
     * 完成时间
     */
    private Date finishTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTradeOrderProfitSharingId() {
        return tradeOrderProfitSharingId;
    }

    public void setTradeOrderProfitSharingId(Long tradeOrderProfitSharingId) {
        this.tradeOrderProfitSharingId = tradeOrderProfitSharingId;
    }

    public Long getTradeOrderId() {
        return tradeOrderId;
    }

    public void setTradeOrderId(Long tradeOrderId) {
        this.tradeOrderId = tradeOrderId;
    }

    public String getTradeOrderNo() {
        return tradeOrderNo;
    }

    public void setTradeOrderNo(String tradeOrderNo) {
        this.tradeOrderNo = tradeOrderNo;
    }

    public BigDecimal getProfitSharingAmount() {
        return profitSharingAmount;
    }

    public void setProfitSharingAmount(BigDecimal profitSharingAmount) {
        this.profitSharingAmount = profitSharingAmount;
    }

    public BigDecimal getRatio() {
        return ratio;
    }

    public void setRatio(BigDecimal ratio) {
        this.ratio = ratio;
    }

    public Integer getReceiverObjectType() {
        return receiverObjectType;
    }

    public void setReceiverObjectType(Integer receiverObjectType) {
        this.receiverObjectType = receiverObjectType;
    }

    public String getReceiverObjectId() {
        return receiverObjectId;
    }

    public void setReceiverObjectId(String receiverObjectId) {
        this.receiverObjectId = receiverObjectId;
    }

    public String getReceiverNo() {
        return receiverNo;
    }

    public void setReceiverNo(String receiverNo) {
        this.receiverNo = receiverNo;
    }

    public String getReceiverAccount() {
        return receiverAccount;
    }

    public void setReceiverAccount(String receiverAccount) {
        this.receiverAccount = receiverAccount;
    }

    public String getReceiverName() {
        return receiverName;
    }

    public void setReceiverName(String receiverName) {
        this.receiverName = receiverName;
    }

    public BigDecimal getReceiverAmount() {
        return receiverAmount;
    }

    public void setReceiverAmount(BigDecimal receiverAmount) {
        this.receiverAmount = receiverAmount;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getProfitSharingTime() {
        return profitSharingTime;
    }

    public void setProfitSharingTime(Date profitSharingTime) {
        this.profitSharingTime = profitSharingTime;
    }

    public Date getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Date finishTime) {
        this.finishTime = finishTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsTradeOrderProfitSharingReceiver other = (BsTradeOrderProfitSharingReceiver) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getTradeOrderProfitSharingId() == null ? other.getTradeOrderProfitSharingId() == null : this.getTradeOrderProfitSharingId().equals(other.getTradeOrderProfitSharingId()))
            && (this.getTradeOrderId() == null ? other.getTradeOrderId() == null : this.getTradeOrderId().equals(other.getTradeOrderId()))
            && (this.getTradeOrderNo() == null ? other.getTradeOrderNo() == null : this.getTradeOrderNo().equals(other.getTradeOrderNo()))
            && (this.getProfitSharingAmount() == null ? other.getProfitSharingAmount() == null : this.getProfitSharingAmount().equals(other.getProfitSharingAmount()))
            && (this.getRatio() == null ? other.getRatio() == null : this.getRatio().equals(other.getRatio()))
            && (this.getReceiverObjectType() == null ? other.getReceiverObjectType() == null : this.getReceiverObjectType().equals(other.getReceiverObjectType()))
            && (this.getReceiverObjectId() == null ? other.getReceiverObjectId() == null : this.getReceiverObjectId().equals(other.getReceiverObjectId()))
            && (this.getReceiverNo() == null ? other.getReceiverNo() == null : this.getReceiverNo().equals(other.getReceiverNo()))
            && (this.getReceiverAccount() == null ? other.getReceiverAccount() == null : this.getReceiverAccount().equals(other.getReceiverAccount()))
            && (this.getReceiverName() == null ? other.getReceiverName() == null : this.getReceiverName().equals(other.getReceiverName()))
            && (this.getReceiverAmount() == null ? other.getReceiverAmount() == null : this.getReceiverAmount().equals(other.getReceiverAmount()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getProfitSharingTime() == null ? other.getProfitSharingTime() == null : this.getProfitSharingTime().equals(other.getProfitSharingTime()))
            && (this.getFinishTime() == null ? other.getFinishTime() == null : this.getFinishTime().equals(other.getFinishTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getTradeOrderProfitSharingId() == null) ? 0 : getTradeOrderProfitSharingId().hashCode());
        result = prime * result + ((getTradeOrderId() == null) ? 0 : getTradeOrderId().hashCode());
        result = prime * result + ((getTradeOrderNo() == null) ? 0 : getTradeOrderNo().hashCode());
        result = prime * result + ((getProfitSharingAmount() == null) ? 0 : getProfitSharingAmount().hashCode());
        result = prime * result + ((getRatio() == null) ? 0 : getRatio().hashCode());
        result = prime * result + ((getReceiverObjectType() == null) ? 0 : getReceiverObjectType().hashCode());
        result = prime * result + ((getReceiverObjectId() == null) ? 0 : getReceiverObjectId().hashCode());
        result = prime * result + ((getReceiverNo() == null) ? 0 : getReceiverNo().hashCode());
        result = prime * result + ((getReceiverAccount() == null) ? 0 : getReceiverAccount().hashCode());
        result = prime * result + ((getReceiverName() == null) ? 0 : getReceiverName().hashCode());
        result = prime * result + ((getReceiverAmount() == null) ? 0 : getReceiverAmount().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getProfitSharingTime() == null) ? 0 : getProfitSharingTime().hashCode());
        result = prime * result + ((getFinishTime() == null) ? 0 : getFinishTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", tradeOrderProfitSharingId=").append(tradeOrderProfitSharingId);
        sb.append(", tradeOrderId=").append(tradeOrderId);
        sb.append(", tradeOrderNo=").append(tradeOrderNo);
        sb.append(", profitSharingAmount=").append(profitSharingAmount);
        sb.append(", ratio=").append(ratio);
        sb.append(", receiverObjectType=").append(receiverObjectType);
        sb.append(", receiverObjectId=").append(receiverObjectId);
        sb.append(", receiverNo=").append(receiverNo);
        sb.append(", receiverAccount=").append(receiverAccount);
        sb.append(", receiverName=").append(receiverName);
        sb.append(", receiverAmount=").append(receiverAmount);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", profitSharingTime=").append(profitSharingTime);
        sb.append(", finishTime=").append(finishTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}